Page MenuHomeFreeBSD

[NEW PORT] games/openjk: Community effort to maintain Jedi Academy + Jedi Outcast
ClosedPublic

Authored by pkubaj on Apr 18 2019, 12:24 PM.
Tags
None
Referenced Files
Unknown Object (File)
Sat, May 18, 1:21 AM
Unknown Object (File)
Sat, May 18, 12:29 AM
Unknown Object (File)
Fri, May 3, 6:42 PM
Unknown Object (File)
Sat, Apr 20, 2:56 PM
Unknown Object (File)
Mar 16 2024, 2:28 PM
Unknown Object (File)
Mar 4 2024, 11:13 PM
Unknown Object (File)
Mar 4 2024, 11:13 PM
Unknown Object (File)
Mar 4 2024, 11:13 PM
Subscribers
None

Details

Summary

This is a new port of openjk, which is open-source engine implementation of Star Wars Jedi Academy and Jedi Outcast.

Tested via Poudriere on 11-STABLE and running on CURRENT.

https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=227265

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

games/openjk/Makefile
24–27 ↗(On Diff #56336)

Wrong place in the Makefile. See Chapter 15. Order of Variables in Port Makefiles.

New ports also need to be hooked into their respective Category Makefile, in this case games/Makefile

games/openjk/Makefile
1 ↗(On Diff #56336)

^ don't add new Created by.

This revision now requires changes to proceed.Apr 19 2019, 7:21 AM

Add openjk to games/Makefile.

mat added inline comments.
games/openjk/Makefile
30–31 ↗(On Diff #56375)

You could run install only once, like:

${INSTALL_SCRIPT} ${WRKDIR}/jamp ${WRKDIR}/jasp ${STAGEDIR}${PREFIX}/bin

It looks like defining NDEBUG is enough to make those asserts be ommitted.

That simplifies things.

Also add games/Makefile and update the port to newest version.

This revision was not accepted when it landed; it landed in state Needs Review.Apr 30 2019, 6:52 PM
This revision was automatically updated to reflect the committed changes.